CHATTR(1)

NAME
chattr - change file attributes on a Linux second extended file system

SYNOPSIS
chattr [ -RV ] [ -v version ] [ mode ] files...

DESCRIPTION
chattr changes the files attributes on an second extended file system.

The format of a symbolic mode is +-=[ASacdisu].

The operator `+' causes the selected attributes to be added to the existing attributes of the files; `-' causes them to be removed; and `=' causes them to be the only attributes that the files have.

The letters `ASacdisu' select the new attributes for the files: don't update atime (A), synchronous updates (S), append only (a), compressed (c), immutable (i), no dump (d), secure deletion (s), and undeletable (u).

OPTIONS

-R  Recursively change attributes of directories and their contents.

-V  Verbosely describe changed attributes.

-v version
    Set the files version.

ATTRIBUTES
When a file with the 'A' attribute set is modified, its atime record is not modified. This avoid a certain amount of disk I/O for laptop systems. A file with the `a' attribute set can only be open in append mode for writing. A file with the `c' attribute set is automatically compressed on the disk by the kernel. A read from this file returns uncompressed data. A write to this file compresses data before storing them on the disk. A file with the `d' attribute set is not candidate for backup when the dump(8) program is run. A file with the `i' attribute cannot be modified: it cannot be deleted or renamed, no link can be created to this file and no data can be written to the file. Only the superuser can set or clear this attribute. When a file with the `s' attribute set is deleted, its blocks are zeroed and written back to the disk. When a file with the `S' attribute set is modified, the changes are written synchronously on the disk; this is equivalent to the `sync' mount option applied to a subset of the files. When a file with the `u' attribute set is deleted, its contents is saved. This allows the user to ask for its undeletion.

AUTHOR
chattr has been written by Remy Card <card@masi.ibp.fr>, the developer and maintainer of the ext2 fs.

BUGS AND LIMITATIONS
As of ext2 fs 0.5a, the `c' and `u' attribute are not honoured by the kernel code. As of the Linux 2.0 kernel, the 'A' attribute is not yet supported by the kernel code. (The noatime code is still in testing.)

These attributes will be implemented in a future ext2 fs version.

AVAILABILITY
chattr is available for anonymous ftp from ftp.ibp.fr and tsx-11.mit.edu in /pub/linux/packages/ext2fs.

SEE ALSO
lsattr(1)